| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# Stat.h File Reference

`#include <string>`
`#include "GaudiKernel/StatEntity.h"`

Include dependency graph for Stat.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Stat
| Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface. More...
## Functions
Stat | operator+ (const Stat &stat, const double value)
| external operator for addition of Stat and a number
Stat | operator- (const Stat &stat, const double value)
| external operator for subtraction of Stat and a number
Stat | operator+ (const double value, const Stat &stat)
| external operator for addition of Stat and a number
Stat | operator+ (const Stat &stat, const Stat &value)
| external operator for addition of Stat and Stat
std::ostream & | operator<< (std::ostream &stream, const Stat &stat)
| external printout operator to std::ostream

## Function Documentation

Stat operator+ | ( | const Stat & | stat,
|  | const Stat & | value |
| ) |  |  |

external operator for addition of Stat and Stat

Definition at line 231 of file Stat.cpp.

    00232 { Stat s( stat ) ; s += value ; return s ; }

Stat operator+ | ( | const double | value,
|  | const Stat & | stat |
| ) |  |  |

external operator for addition of Stat and a number

Definition at line 227 of file Stat.cpp.

    00228 { Stat s( stat ) ; s += value ; return s ; }

Stat operator+ | ( | const Stat & | stat,
|  | const double | value |
| ) |  |  |

external operator for addition of Stat and a number

Definition at line 217 of file Stat.cpp.

    00218 { Stat s( stat ) ; s += value ; return s ; }

Stat operator- | ( | const Stat & | stat,
|  | const double | value |
| ) |  |  |

external operator for subtraction of Stat and a number

Definition at line 222 of file Stat.cpp.

    00223 { Stat s( stat ) ; s -= value ; return s ; }

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const Stat & | stat |
| ) |  |  |

external printout operator to std::ostream

Definition at line 235 of file Stat.cpp.

    00236 { return stat.print( stream ) ; }